const s = require('storyeng')
const should = require('should')

describe('input event', () => {

  let e = new s.InputEvent('   Some  thing   ')
  let n1 = new s.InputEvent('  no ')
  let y1 = new s.InputEvent(' yes')

  it( 'should have a trimmed line property', done => {
    e.should.have.property('line')
    e.line.should.equal('Some  thing')
    done()
  })

  it( 'should have a yes/no property that supports synonyms', done => {
    should(s.InputEvent.YesSynonyms)
    should(s.InputEvent.NoSynonyms)
    should(!e.no)
    should(!e.yes)
    should(n1.no)
    should(!n1.yes)
    should(y1.yes)
    should(!y1.no)
    done()
  })

  it( 'should have a crunched', done => {
    e.should.have.property('crunched')
    e.crunched.should.equal('something')
    done()
  })

})